AC_DEFUN([CCP4_CHECK_LIB],
 [ ccp4_check_lib_save_LIBS=$LIBS
   ccp4_check_lib_save_LDFLAGS=$LDFLAGS
   AC_LANG_SAVE
   AC_LANG([Fortran])
   LIBS=""
   test "${ccp4_prefix:+set}" = set && LDFLAGS="$LDFLAGS -L$ccp4_prefix/lib"
# library tests
#need libccif for linux shared object build
case "$host" in
  *linux* | *sun* )
CCP4_CHECK_CCIF
     ;;
   *)
esac
  AC_CHECK_LIB(ccp4f, qisnan, ,[AC_MSG_WARN([
*** Can't find the CCP4 library against which to link.
    You can set this using the --with-ccp4 option])
    ],
    [-lccp4c -lmmdb $CCIF_LIBS $CXXLIBS])
  CCP4_LIBS="$LDFLAGS -lccp4f -lccp4c -lmmdb $CCIF_LIBS $CXXLIBS"
  AC_SUBST(CCP4_LIBS)
  LIBS="$ccp4_check_lib_save_LIBS"
  LDFLAGS="$ccp4_check_lib_save_LDFLAGS"
  AC_LANG_RESTORE
])

dnl Ensure that the xdl_view library is linkable, else die.
AC_DEFUN([CCP4_CHECK_XDL_VIEW],
  [ ccp4_check_xdl_view_save_LIBS=$LIBS
    ccp4_check_xdl_view_save_LDFLAGS=$LDFLAGS
    LIBS=""
    test "${ccp4_prefix:+set}" = set && LDFLAGS="$LDFLAGS -L$ccp4_prefix/lib"
    LDFLAGS="$LDFLAGS $X_LIBS"
AC_CHECK_LIB(xdl_view, xdlf_open_view, ,[ AC_MSG_WARN([
*** Can't find the xdl_view library against which to link.
    You can set this using the --with-ccp4 option])
    ],
     -lXt -lX11)
    XDL_LIB="$LDFLAGS -lxdl_viewextra -lxdl_view -ljwc_c -lXt -lX11 $LIBS"
    AC_SUBST(XDL_LIB)
    LIBS="$ccp4_check_xdl_view_save_LIBS"
    LDFLAGS="$ccp4_check_xdl_view_save_LDFLAGS"
])

AC_DEFUN([CCP4_CHECK_CCIF],
  [ ccp4_check_ccif_save_LIBS=$LIBS
    ccp4_check_ccif_save_LDFLAGS=$LDFLAGS
    AC_LANG_SAVE
    AC_LANG([Fortran])
    LIBS=""
    LDFLAGS="$LDFLAGS"
AC_CHECK_LIB(ccif, ccif_init, , [ AC_MSG_WARN([
*** Can't find the ccif library against which to link.
    You can set this using the --with-ccp4 option])
    ])
    CCIF_LIBS="$LDFLAGS $LIBS"
    LIBS="$ccp4_check_ccif_save_LIBS"
    LDFLAGS="$ccp4_check_ccif_view_save_LDFLAGS"
    AC_LANG_RESTORE
])

