C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_GET_G1OD     **
C**************************
C
C
CD-Doc:
C G1OD             SUBROUTINE LDM_GET_G1OD (VALUE, IFLAG, ND)
CD-end
      SUBROUTINE LDM_GET_G1OD (VALUE, IFLAG, ND)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get value of real parameter G1OD
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      REAL VALUE
      INTEGER IFLAG
      INTEGER ND

C  VALUE     (W)   Returns the Selwyn granularity at ubnit optical density
C  IFLAG     (W)   Flag = -1 undefined value
C                       =  0 default value
C                       =  1 value set explicitly
C                       =  2 value set globally
C ND         (W)   No. of decimal places for printing (- if E format)
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      VALUE = G1OD
      IFLAG = IS_G1OD
      ND = ND_G1OD
      IF (ND.EQ.-1000) ND = 2
      RETURN
      END
