C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_KDX          **
C**************************
C
CD-Routine: Get Index to KDM Keyword Set - LDM_KDX
C This routine is used get the index required to access the KDM routines
C for parameters belonging to an extended LDM parameter set in cases
C where the direct calling of such routines is required (e.g. to set
C up new parameters for which specific LDM routines have not been
C prepared or to return parameter values from multi-value parameters).
CD-end
CD-Fortran:
      INTEGER FUNCTION LDM_KDX(IDUM) 
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get Index to KDM Keyword Set associated with extended LDM params.
C
C Author:  John W. Campbell, December 1995
C
C Arguments:
C
      INTEGER IDUM

CD-Parameters:
C IDUM      (R) Dummy parameter
CD-end
C
C====== Parameter statements
C 

C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      INCLUDE 'ldm_extended.finc'
      EXTERNAL LDM_BDAT
C
C====== FUNCTION TYPES:
C

C
C====== LOCALS:
C
      INTEGER KERR
C
C-------------------------------------------------------------------------------
C
      IF (.NOT.EXTENDED) CALL LDM_EXTEND_INIT (KERR)
      LDM_KDX = KDX_EXT
      RETURN
      END
