C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     LDM_SET_BASE       **
C****************************
C
C
CD-Doc:
C BASEod           SUBROUTINE LDM_SET_BASE (VALUE, IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_SET_BASE (VALUE, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set value of real parameter BASEOD
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      REAL VALUE
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  VALUE     (R)   Optical density of film base (for film) >= 0.0
C  IERR      (W)   Error flag =0 OK
C                             =2 Value must be >=0.0
C  ERRSTR    (W)   Error description string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL LDM_ERR_R (VALUE, 1, 0.0, 0.0, 3, IERR, ERRSTR)
      IF (IERR.NE.0) RETURN
      BASE = VALUE
      IS_BASE = 1
      CH_BASE = CH_MASK
      ND_BASE = -1000
      RETURN
      END
