C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C*************************
C**     LDM_SET_EPS     **
C*************************
C
C
CD-Doc:
C SPOT_Epsilon     SUBROUTINE LDM_SET_EPS (VALUE, IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_SET_EPS (VALUE, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set value of real parameter SPOT_EPSILON
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      REAL VALUE
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  VALUE     (R)   Spots too close to deconvolute limit 'epsilon' in mm.
C                  > 0.0
C  IERR      (W)   Error flag =0 OK
C                             =3 Value must be >0.0
C  ERRSTR    (W)   Error description string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      INCLUDE 'ldm_lrl.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL LDM_ERR_R (VALUE, 2, 0.0, 0.0, 3, IERR, ERRSTR)
      IF (IERR.NE.0) RETURN
      EPS = VALUE
      IS_EPS = 1
      CH_EPS = CH_MASK
      ND_EPS = -1000
      CALL LDM_CLR_GEN (-1, -1, 3)
      RETURN
      END
