C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     LDM_SET_FTHR       **
C****************************
C
C
CD-Doc:
C FTHResh          SUBROUTINE LDM_SET_FTHR (VALUE, IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_SET_FTHR (VALUE, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set value of real parameter FTHRESH
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      REAL VALUE
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  VALUE     (R)   Spot search threshold for fids >= 0.0
C  IERR      (W)   Error flag =0 OK
C                             =2 Value must be >=0.0
C  ERRSTR    (W)   Error description string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL LDM_ERR_R (VALUE, 1, 0.0, 0.0, 1, IERR, ERRSTR)
      IF (IERR.NE.0) RETURN
      FTHR = VALUE
      IS_FTHR = 1
      CH_FTHR = CH_MASK
      ND_FTHR = -1000
      RETURN
      END
