C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_SET_N1OD     **
C**************************
C
C
CD-Doc:
C N1OD             SUBROUTINE LDM_SET_N1OD (IVAL, IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_SET_N1OD (IVAL, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set value of integer parameter N1OD
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      INTEGER IVAL
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  IVAL      (R)   Pixel value for 1 OD for film (> 0)
C  IERR      (W)   Error flag =0 OK
C                             =3 Value must be >0
C  ERRSTR    (W)   Error description string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      CALL LDM_ERR_I (IVAL, 1, 0, IERR, ERRSTR)
      IF (IERR.NE.0) RETURN
      N1OD = IVAL
      IS_N1OD = 1
      CH_N1OD = CH_MASK
      RETURN
      END
