C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C*****************************
C**     LDM_SET_SPAC        **
C*****************************
C
C
CD-Doc:
C SPACing          SUBROUTINE LDM_SET_SPAC (IPACK, IPLATE, VALUE, 
C                 +                         IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_SET_SPAC (IPACK, IPLATE, VALUE, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set value of plate dependent real parameter SPACING
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      INTEGER IPACK
      INTEGER IPLATE
      REAL    VALUE
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  IPACK     (R)   Pack number, 0=all packs
C  IPLATE    (R)   Plate number, 0=all plates
C  VALUE     (R)   Value for the plate spacing from previous plate (mm) >=0.0
C  IERR      (W)   Error flag =0 OK
C                             =-1 Invalid pack number
C                             =-2 Invalid plate number
C                             =2 Value must be >=0.0
C  ERRSTR    (W)   Error description string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      IERR = 0
      ERRSTR = ' '
      CALL LDM_CHK_SPL (IPACK, IPLATE, IERR, ERRSTR)
      IF (IERR.NE.0) RETURN
      CALL LDM_ERR_R (VALUE, 1, 0.0, 0.0, 3, IERR, ERRSTR)
      IF (IERR.NE.0) RETURN
      CALL LDM_SETF_PL (IPACK, IPLATE, SPAC, IS_SPAC, CH_SPAC,
     +                  ND_SPAC, VALUE, LDM_MAXPK, LDM_MAXPL)
      RETURN
      END
