C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C************************
C**     LDM_SPDMAX     **
C************************
C
CD-Routine: Find LDM Limit SPD Polynomial Coefficients - LDM_SPDMAX
C This function returns the currently compiled in limit for the maximum
C coefficient for polynomial based spatial distortion corrections. Programs
C which use a LDM routines to retrieve all coefficients in an array will
C need to be aware of this limit and take appropriate steps if it is not
C consistent with the dimensions of the program's own arrays.
CD-end
CD-Fortran:
      INTEGER FUNCTION LDM_SPDMAX(IDUM)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Return maximum allowed order for SPDXi, SPDYi terms.
C
C Author:  John W. Campbell, March 1994
C
CD-Doc:
C     Return:  Maximum allowed order for SPDXi, SPDYi terms.
CCD-end
C Arguments:
C
      INTEGER IDUM

CD-Parameters:
C IDUM   (R)  Dummy argument
CD-end
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== FUNCTION TYPES:
C

C
C====== LOCALS:
C
C
C-------------------------------------------------------------------------------
C
      LDM_SPDMAX = LDM_MAXSPD
      RETURN
      END
