
CD-Section: Dummy Cancel Routine
C A number of routines allow for a 'cancel' or 'interrupt' routine to be passed
C as an argument (e.g. automatic parameter refinement, soft-limits 
C determination, integration). A dummy routine is provided for use where
C the facility is not required and no user-specific routine is passed.
CD-end
C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C*****************************
C**     LFN_DUMMY_CNCL      **
C*****************************
C
CD-Routine: Dummy Cancel Routine - LFN_DUMMY_CNCL
C This routine may be used when a 'cancel' routine is required. It is a
C dummy and always returns a .FALSE. value i.e. it will never cause the
C procedure to be interrupted.
CD-end
CD-Fortran:
      LOGICAL FUNCTION LFN_DUMMY_CNCL (IDUM)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Dummy cancel routine
C
C Author:  John W. Campbell, November 1994
C
C Arguments:
C
      INTEGER IDUM
      
CD-Parameters:
C  IDUM     i (R)   Dummy parameters
CD-end
C
C====== Parameter statements
C 

C
C====== GLOBALS:
C

C
C====== FUNCTION TYPES:
C

C
C====== LOCALS:
C
C
C-------------------------------------------------------------------------------
C
      LFN_DUMMY_CNCL = .FALSE.
      RETURN
      END
