
CD-Section: Set Global Laue Reflection List Data Items
C The routines described in this section are for setting parameters
C which apply to the Laue Reflection List as a whole.
CD-end

C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LRL_CLR_ALL      **
C**************************
C
CD-Routine: Clear Intensity Data - LRL_CLR_ALL
C This routine clears (re-initialises) the intensities data for all the
C spots in the Laue Reflections List. The 'integration done' flag is
C also cleared.
CD-end
CD-Fortran:
      SUBROUTINE LRL_CLR_ALL
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Clear (re-initialise) integrated intensity data for all spots
C          and clear 'integration done flag'
C
C Author:  John W. Campbell, July 1993
C
C Arguments:
CD-Parameters:
C     none
CD-end
C====== GLOBALS:
C
      INCLUDE 'lrl_data.finc'
C
C====== FUNCTION TYPES:
C
      EXTERNAL LRL_BDAT
C
C====== LOCALS:
C   
      INTEGER I
C
C     INTEGER I        !Index to spot
C
C-------------------------------------------------------------------------------
C
      INTEGRATED = .FALSE.
      INTCODE_TYPE = 0
      IF (NUM_SPOTS.LT.1) RETURN
      DO 100 I = 1, NUM_SPOTS
         AII(I) = 0.0
         SIGII(I) = 0.0
         CALL STBITS (FLAGS(I),8,1,0)
         CALL STBITS (FLAGS(I),9,1,0)
         CALL STBITS (FLAGS(I),10,1,0)
         CALL STBITS (FLAGS(I),12,8,0)
         CALL STBITS (FLAGS(I),20,1,0)
         CALL STBITS (FLAGS(I),21,8,0)
100   CONTINUE
      RETURN
      END
