
C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LRL_NODMAX       **
C**************************
C
CD-Routine: Return the Nodal Index Limit - LRL_NODMAX
C This routine returns the maximum nodal index for which a spot may be
C considered to be a nodal spot. This value is used in flagging nodal
C spots in the LRL.
CD-end
CD-Fortran:
      SUBROUTINE LRL_NODMAX (NODMAX)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Return maximum nodal index used
C
C Author:  John W. Campbell, September 1994
C
C Arguments:
C
      INTEGER NODMAX
CD-Parameters:
C NODMAX  i (W)  The maximum nodal index for which a spot may be
C                considered to be a nodal spot. This value is used 
C                in flagging nodal spots in the LRL.
CD-end
C====== GLOBALS:
C
      INCLUDE 'lrl_nodmax.finc'
C
C====== FUNCTION TYPES:
C
      EXTERNAL LRL_BDAT
C
C-------------------------------------------------------------------------------
C
      NODMAX = NODHKL_MAX
      RETURN
      END
