
C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LRL_SET_OKNOD    **
C**************************
C
CD-Routine: Set Non-spatially Overlapped Nodal Flag - LRL_SET_OKNOD
C This routine sets the 'non-spatially overlapped nodal spot' flag for a spot.
C It is basically written for internal use but
C may be called by the user if desired.
CD-end
CD-Fortran:
      SUBROUTINE LRL_SET_OKNOD (ISPOT)
CD-end
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set 'non-spatially overlapped nodal spot' flag for a spot
C
C Author:  John W. Campbell, July 1993
C
C Arguments:
C
      INTEGER ISPOT
CD-Parameters:
C ISPOT   i (R)   Spot index number (in current sort order)
CD-end
C====== GLOBALS:
C
      INCLUDE 'lrl_data.finc'
C
C====== FUNCTION TYPES:
C
      EXTERNAL LRL_BDAT
C
C====== LOCALS:
C
      INTEGER I
C
C-------------------------------------------------------------------------------
C 
      IF (ISPOT.LT.1.OR.ISPOT.GT.NUM_SPOTS) RETURN
      I = INDX(ISPOT)
      CALL STBITS (FLAGS(I),2,1,1)
      RETURN
      END
